[SCM] Samba Shared Repository - branch v3-5-test updated

Jeremy Allison jra at samba.org
Thu Nov 5 18:45:32 MST 2009


The branch, v3-5-test has been updated
       via  08e57bd... Remove the smbd:writetimeupdatedelay change Metze added. Metze please explain why you added this. Change --maximum-runtime=900 for smbtorture4 with BASE-DELAYWRITE. Should allow it to successfully complete now. Jeremy. (cherry picked from commit e434934526b23b34dd85b43495961260dc639e1f)
      from  329969f... Simplify the logic - remove extraneous argument and calls to set_close_write_time(). We were treating a file time set on close as a sticky write time set, and I don't think it is. I will add a torture test later to RAW-CLOSE to confirm this. Jeremy. (cherry picked from commit 0551284dc08eb93ef7b2b2227a45e5ec21d482fb)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-5-test


- Log -----------------------------------------------------------------
commit 08e57bd405d06fb7b19a93ba3895e41a4edb770f
Author: Jeremy Allison <jra at samba.org>
Date:   Thu Nov 5 17:43:33 2009 -0800

    Remove the smbd:writetimeupdatedelay change Metze added. Metze please
    explain why you added this. Change --maximum-runtime=900 for smbtorture4
    with BASE-DELAYWRITE. Should allow it to successfully complete now.
    Jeremy.
    (cherry picked from commit e434934526b23b34dd85b43495961260dc639e1f)

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/selftest.sh      |    2 +-
 source3/script/tests/test_posix_s3.sh |    8 ++++++--
 2 files changed, 7 insertions(+), 3 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index 73d0aa4..80e5042 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -249,7 +249,7 @@ cat >$SERVERCONFFILE<<EOF
 
 	read only = no
 	smbd:sharedelay = 100000
-	smbd:writetimeupdatedelay = 500000
+#	smbd:writetimeupdatedelay = 500000
 	map hidden = no
 	map system = no
 	map readonly = no
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
index eaae813..01d392a 100755
--- a/source3/script/tests/test_posix_s3.sh
+++ b/source3/script/tests/test_posix_s3.sh
@@ -71,7 +71,7 @@ skipped="$skipped RAW-SFILEINFO"
 echo "WARNING: Skipping tests $skipped"
 
 ADDARGS="$ADDARGS --option=torture:sharedelay=100000"
-ADDARGS="$ADDARGS --option=torture:writetimeupdatedelay=500000"
+#ADDARGS="$ADDARGS --option=torture:writetimeupdatedelay=500000"
 
 failed=0
 for t in $tests; do
@@ -90,7 +90,11 @@ for t in $tests; do
     fi
     start=""
     name="$t"
-    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    if [ "$t" = "BASE-DELAYWRITE" ]; then
+	    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS --maximum-runtime=900 $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    else
+	    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    fi
 done
 
 testok $0 $failed


-- 
Samba Shared Repository


More information about the samba-cvs mailing list